Skip to navigation

Search users

View as Markdown

It will preform a simple search based on name and email matching the given query. Requires minimum 2 characters

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Query parameters

qstringOptional
The pattern to search in the username or email

Response

usersSearchSchema
idinteger
The user id
namestring or nullOptional
Name of the user
emailstringOptional
Email of the user
usernamestring or nullOptional
A unique username for the user
imageUrlstringOptional
URL used for the user profile image
loginAttemptsintegerOptional>=0
How many unsuccessful attempts at logging in has the user made
emailSentbooleanOptional
Is the welcome email sent to the user or not
rootRoleintegerOptional>=0

Which root role this user is assigned

seenAtstring or nullOptionalformat: "date-time"
The last time this user logged in
createdAtstringOptionalformat: "date-time"
The user was created at this time
accountTypeenumOptional
A user is either an actual User or a Service Account
Allowed values:
permissionslist of stringsOptional
Deprecated
scimIdstring or nullOptional
The SCIM ID of the user, only present if managed by SCIM
seatTypestring or nullOptional
The seat type of this user
companyRolestring or nullOptional
The role of the user within the company.
productUpdatesEmailConsentboolean or nullOptional
Whether the user has consented to receive product update emails.
activeSessionsinteger or nullOptional
Count of active browser sessions for this user
deletedSessionsdoubleOptional
Experimental. The number of deleted browser sessions after last login

Errors

401
Unauthorized Error